org.apache.poi.poifs.crypt.temp

## Class SheetDataWriterWithDecorator

- java.lang.Object
- - org.apache.poi.xssf.streaming.SheetDataWriter
  - - org.apache.poi.poifs.crypt.temp.SheetDataWriterWithDecorator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      @Beta
      public class SheetDataWriterWithDecorator
      extends SheetDataWriter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SheetDataWriterWithDecorator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.InputStream` | `decorateInputStream(java.io.FileInputStream fis)` Override this to translate (such as decrypt or expand) the file input stream as it is being read from disk.
    `protected java.io.OutputStream` | `decorateOutputStream(java.io.FileOutputStream fos)` Override this to translate (such as encrypt or compress) the file output stream as it is being written to disk.

    - ### Methods inherited from class org.apache.poi.xssf.streaming.SheetDataWriter

      `close, createTempFile, createWriter, finalize, getLastFlushedRow, getLowestIndexOfFlushedRows, getNumberOfCellsOfLastFlushedRow, getNumberOfFlushedRows, getTempFile, getWorksheetXMLInputStream, outputQuotedString, writeCell, writeRow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SheetDataWriterWithDecorator

          public SheetDataWriterWithDecorator()
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### decorateOutputStream

          protected java.io.OutputStream decorateOutputStream(java.io.FileOutputStream fos)

      Description copied from class: `SheetDataWriter`
      Override this to translate (such as encrypt or compress) the file output stream as it is being written to disk. The default behavior is to to pass the stream through unmodified.
      Overrides:
        `decorateOutputStream` in class `SheetDataWriter`
      Parameters:
        `fos` - the stream to decorate
      Returns:
        a decorated stream
      See Also:
        `SheetDataWriter.decorateInputStream(FileInputStream)`

    - #### decorateInputStream

          protected java.io.InputStream decorateInputStream(java.io.FileInputStream fis)

      Description copied from class: `SheetDataWriter`
      Override this to translate (such as decrypt or expand) the file input stream as it is being read from disk. The default behavior is to to pass the stream through unmodified.
      Overrides:
        `decorateInputStream` in class `SheetDataWriter`
      Parameters:
        `fis` - the stream to decorate
      Returns:
        a decorated stream
      See Also:
        `SheetDataWriter.decorateOutputStream(FileOutputStream)`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.